<div id="body" class="container-fluid">
  <h6>Event Intervals</h6>
  <dx-data-grid #grid id="grid" [dataSource]="items" keyExpr="eventTypeId" [wordWrapEnabled]="true"
                [rowAlternationEnabled]="true" [showBorders]="true" [columnAutoWidth]="true">
    <dxo-sorting mode="multiple"></dxo-sorting>
    <dxo-paging [pageSize]="50"></dxo-paging>
    <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[25, 50, 100]"></dxo-pager>
    <dxo-scrolling mode="standard" showScrollbar="always" useNative="false"></dxo-scrolling>
    <dxi-column caption="Edit" cellTemplate="editTemplate" [width]="50"></dxi-column>
    <dxi-column dataField="eventTypeName" caption="Event Type" dataType="string"></dxi-column>
    <dxi-column dataField="nonCpeNtvlInDayQty" caption="Non-CPE Interval" dataType="string"></dxi-column>
    <dxi-column dataField="cpeNtvlInDayQty" caption="CPE Interval" dataType="string"></dxi-column>
    <div *dxTemplate="let data of 'editTemplate'" class="text-center">
      <i class="dx-icon-edit" title="Edit" style="cursor: pointer; color: #337ab7; font-size: 18px; text-decoration: none;" (click)="onRowClick(data)"></i>
    </div>
  </dx-data-grid>
</div>

<div class="modal fade" id="event-interval" tabindex="-1" role="dialog" aria-hidden="true">
  <div class="modal-dialog modal-xl" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h6 class="modal-title" id="exampleModalLabel">Update Event Interval</h6>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form [formGroup]="form" novalidate>
          <div class="form-row">
            <div class="form-group form-group-sm col-24">
              <label>Event Type</label>
              <input type="text" class="form-control form-control-sm" name="eventTypeName" formControlName="eventTypeName" placeholder="Event Type" />
            </div>
          </div>
          <div class="form-row">
            <div class="form-group form-group-sm col-24">
              <label>Non-CPE Interval</label>
              <input type="number" class="form-control form-control-sm" name="nonCpeInterval" formControlName="nonCpeInterval" placeholder="Non-CPE Interval" />
              <span *ngIf="nonCpeImplementationDate != null" class="form-text"><b>Non-CPE Implementation Date:</b> {{ nonCpeImplementationDate }}</span>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group form-group-sm col-24">
              <label>CPE Interval</label>
              <input type="number" class="form-control form-control-sm" name="cpeInterval" formControlName="cpeInterval" placeholder="CPE Interval" />
              <span *ngIf="cpeImplementationDate != null" class="form-text"><b>CPE Implementation Date:</b> {{ cpeImplementationDate }}</span>
            </div>
          </div>
          <hr />
          <div class="form-row">
            <div class="form-group form-group-sm col-24">
              <label>Test Date</label>
              <dx-date-box type="date" name="testDate" formControlName="testDate" placeholder="Test Date" [acceptCustomValue]="false" displayFormat="shortDate"></dx-date-box>
            </div>
          </div>
          <div class="form-row text-center">
            <div class="form-group form-group-sm col-12 col-md-6 col-lg-4 offset-md-6 offset-lg-8">
              <button type="button" class="btn btn-sm btn-secondary btn-block" (click)="reset()">
                Cancel
              </button>
            </div>
            <div class="form-group form-group-sm col-12 col-md-6 col-lg-4">
              <button type="button" class="btn btn-sm btn-primary btn-block" (click)="onSubmit()">
                Save
              </button>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>
